- NAME
- SYNOPSIS
- DESCRIPTION
- SEE ALSO
- COPYRIGHT AND DISCLAIMERS
- AUTHOR

# NAME

Pod::Perldoc::GetOptsOO - Customized option parser for Pod::Perldoc

# SYNOPSIS

        use Pod::Perldoc::GetOptsOO ();

        Pod::Perldoc::GetOptsOO::getopts( $obj, \@args, $truth )
           or die "wrong usage";

# DESCRIPTION

Implements a customized option parser used for Pod::Perldoc.

Rather like Getopt::Std's getopts:

Call Pod::Perldoc::GetOptsOO::getopts($object, \@ARGV, $truth)
Given -n, if there's a opt_n_with, it'll call $object->opt_n_with( ARGUMENT ) (e.g., "-n foo" => $object->opt_n_with('foo'). Ditto "-nfoo")
Otherwise (given -n) if there's an opt_n, we'll call it $object->opt_n($truth) (Truth defaults to 1)
Otherwise we try calling $object->handle_unknown_option('n') (and we increment the error count by the return value of it)
If there's no handle_unknown_option, then we just warn, and then increment the error counter

The return value of Pod::Perldoc::GetOptsOO::getopts is true if no errors, otherwise it's false.

# SEE ALSO

Pod::Perldoc

# COPYRIGHT AND DISCLAIMERS

Copyright (c) 2002-2007 Sean M. Burke.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

This program is distributed in the hope that it will be useful, but without any warranty; without even the implied warranty of merchantability or fitness for a particular purpose.

# AUTHOR

Current maintainer: Mark Allen `<mallen@cpan.org>`

Past contributions from: brian d foy `<bdfoy@cpan.org>` Adriano R. Ferreira `<ferreira@cpan.org>`, Sean M. Burke `<sburke@cpan.org>`